Skip to main content
GET
/
api
/
v1
/
customer
/
promotions
List Promotions
curl --request GET \
  --url https://api.example.com/api/v1/customer/promotions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "promotionalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "name": "<string>",
      "description": "<string>",
      "displayTitle": "<string>",
      "displayDescription": "<string>",
      "callToActionLabel": "<string>",
      "discountValue": 123,
      "maxDiscountAmount": 123,
      "allowedChannels": [
        "<string>"
      ],
      "stackable": true,
      "priority": 123,
      "startsAt": "2023-11-07T05:31:56Z",
      "endsAt": "2023-11-07T05:31:56Z",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 142,
    "totalPages": 15
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:10

Items per page

Required range: 1 <= x <= 100
Example:

10

page
number
default:1

Page number

Required range: x >= 1
Example:

1

companyId
string<uuid>

Company identifier.

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

routeId
string<uuid>

Route identifier.

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b"

type
enum<string>

Promotion type.

Available options:
ROUND_TRIP,
MULTI_TICKET,
ROUTE,
LOW_DEMAND_TIME
code
string

Promotion code.

Example:

"PROMO-ROTA-10"

sortBy
enum<string>
default:priority

Field to sort by

Available options:
priority,
startsAt,
createdAt
Example:

"priority"

sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

data
object[]
required
meta
object
required

Page-based pagination metadata.